Skip to main content
POST
/
workflows
/
variables
/
history
List all entries for a workflow variable name (history)
curl --request POST \
  --url https://api.artu.ai/workflows/variables/history \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "name": "<string>",
  "options": {
    "filter": {
      "effectiveDate": "2023-12-25",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "sort": "<unknown>",
    "cursor": "<string>",
    "offset": 4503599627370495,
    "limit": 20,
    "includeTotalCount": true
  }
}
'
{
  "data": [
    {
      "name": "<string>",
      "effectiveDate": "2023-12-25",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "value": "<unknown>",
      "type": "string",
      "description": "<string>",
      "metadata": {}
    }
  ],
  "pagination": {
    "hasMore": true,
    "nextCursor": "<string>",
    "totalCount": 0
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
name
string
required
options
object

Response

200 - application/json

OK

data
object[]
required
pagination
object
required